import java.util.*;

/**
 * Questa classe implementa l'interfaccia Comparator tipata su Auto,
 * per poter fornire un ulteriore modo per ordinare le auto.
 */
public class AutoComparator2 implements Comparator<Auto>
{
	/**
	 * In questo metodo si specifica come si dovrebbero confrontare due auto.
	 * Se si richiama il sort passandogli un'istanza di questa classe, 
	 * la lista non verr ordinata in base al compareTo della classe Auto,
	 * ma in base a questo metodo! A differenza del compareTo, ordina cos:
	 * chilometraggio > prezzo > nome > colore.
	 *@return Un valore maggiore di 0 se l'istanza corrente  "pi grande", minore di 0 se  pi piccola, uguale a 0
	 *				se sono uguali
	 */
	public int compare(Auto first, Auto second)
	{
		int compare1 = first.getChilometraggio()-second.getChilometraggio();
		if(compare1 != 0)
			return compare1;
		compare1 = first.getPrezzo() - second.getPrezzo();
		if(compare1 != 0)
			return compare1;
		compare1 = first.getNome().compareTo(second.getNome());
		if(compare1 != 0)
			return compare1;
		return first.getColore().compareTo(second.getColore());	
	}
}